#include <iostream>	//	cin,cout用ヘッダーファイル
#include <fstream>	//	テキストファイルストリーム用ヘッダーファイル
#include <string>	//	string用ヘッダーファイル
#include "MyLib.h"	//	SeparateString型,StrToDouble関数用ヘッダーファイル

using namespace std;
using namespace mylib;

int main(){
	char fin_nm[100], fout_nm[100];		//	入出力用ファイル名設定用文字列配列
	cout << "Data file name = ";
	cin >> fin_nm;
	ifstream fin;
	fin.open(fin_nm);
	if(fin.fail()){
		cout << "fin.open() failed." << endl;
		return 9;
	}
	cout << "Output file name = ";
	cin >> fout_nm;
	ofstream fout;
	fout.open(fout_nm);
	fout<< "Data File = " << fin_nm << endl;

	string str;		//	テキストファイルからの読み込み用変数
	while(true){
		getline(fin, str);
		if(str.size() > 0)
			if(str[0] == '/') break;	//	データの読み込み開始
	}
	double X[1000], Y[1000];			//	データ格納用配列
	int n = 0;
	double SumX = 0.0, SumY = 0.0;
	char sepchr[] = {' ', '\t', ','};		//	データ文字列の分離文字
	SeparateString sepstr;				//	文字列を分割するためのSeparateString型オブジェクト
	sepstr.SetSeparator( sepchr, 3 );	
	while(true){
		string vstr;
		getline(fin, str);
		if(str[0] == '/') break;		//	データの読み込み終了
		sepstr.SetString( str );
		sepstr.SeekStr( 0, vstr );		//	１番目のデータ
		X[n] = StrToDouble( vstr );
		SumX += X[n];
		sepstr.SeekStr( 1, vstr );		//	2番目のデータ
		Y[n] = StrToDouble( vstr );
		SumY += Y[n];
		n++;
	}
	fin.close();
	fout << endl << "Data..." << endl;
	for (int i = 0; i < n; i++)
		fout << "X[" << i << "] = " << X[i]
			<< "   Y[" << i << "] = " << Y[i] << endl;
	fout << endl << "SumX = " << SumX << "   MeanX = " << SumX/n << endl;
	fout << "SumY = " << SumY << "   MeanY = " << SumY/n << endl;
	
	fout.close();

	return 0;
}
